GFSETDIR(1)

NAME
gfsetdir - helper command for gfcd

SYNOPSIS
gfsetdir [ -s | -c ] [ directory ]

DESCRIPTION

gfsetdir prints shell commands which change Gfarm working directory to the directory specified in the argument. If no argument is specified, it prints commands which change the working directory to the user's home directory that is gfarm:/global_user_name.

This command automatically detects user's shell type, and prints appropriate commands for the shell.

Please add the following definition to the shell rc file of each user, to define gfcd command.

for shells derived from Bourne shell
    gfcd() { eval "`gfsetdir $1`"; }

for csh or tcsh
    alias gfcd 'eval `gfsetdir \!*`'

OPTIONS

-s  generates Bourne shell commands.

-c  generates C-shell commands.

-?  displays a list of command options.

SEE ALSO

gfcd(1), gfpwd(1)